\providecommand{\main}{..}
\makeatletter 
\def\input@path{{../}} 
\makeatother
\documentclass[../document]{subfiles}

\begin{document}
\chapter{Introduction}
In this chapter ...

\section{Motivation}
Lorem ipsum ...

\subsection{Background}
Dolor sit amet \gls{IoT} ...~\cite{lit}.

\biblio

\end{document}